EDQUOTA(8)

NAME
edquota - edit user quotas

SYNOPSIS
edquota [-u] [-p proto-username] username ...
-g [-p proto-groupname] groupname ...
-t [-u]
-t -g

DESCRIPTION
edquota is a quota editor. By default, or if the -u flag is specified, one or more users may be specified on the command line. For each user a temporary file is created with an ASCII representation of the current disk quotas for that user. The list of filesystems with user quotas is determined from /etc/fstab. An editor is invoked on the ASCII file. The editor invoked is vi(1) unless the environment variable EDITOR specifies otherwise.

The quotas may then be modified, new quotas added, etc. Setting a quota to zero indicates that no quota should be imposed. Setting a hard limit to one indicates that no allocations should be permitted. Setting a soft limit to one with a hard limit of zero indicates that allocations should be permitted on only a temporary basis (see -t below). The current usage information in the file is for informational purposes; only the hard and soft limits can be changed.

On leaving the editor, edquota reads the temporary file and modifies the binary quota files to reflect the changes made.

If the -p flag is specified, edquota will duplicate the quotas of the prototypical user specified for each user specified. This is the normal mechanism used to initialize quotas for groups of users.

If the -g flag is specified, edquota is invoked to edit the quotas of one or more groups specified on the command line. The -p flag can be specified in conjunction with the -g flag to specify a prototypical group to be duplicated among the listed set of groups.

Users are permitted to exceed their soft limits for a grace period that may be specified per filesystem. Once the grace period has expired, the soft limit is enforced as a hard limit. The default grace period for a filesystem is specified in /usr/include/ufs/ufs/quota.h. The -t flag can be used to change the grace period. By default, or when invoked with the -u flag, the grace period is set for all the filesystems with user quotas specified in /etc/fstab. When invoked with the -g flag the grace period is set for all the filesystems with group quotas specified in /etc/fstab. The grace period may be specified in days, hours, minutes, or seconds. Setting a grace period to zero indicates that the default grace period should be imposed. Setting a grace period to one second indicates that no grace period should be granted.

Only the super-user may edit quotas.

FILES
quota.user
    at the filesystem root with user quotas
quota.group
    at the filesystem root with group quotas
/etc/fstab
    to find filesystem names and locations

SEE ALSO
quota(1), quotactl(2), fstab(5), quotacheck(8), quotaon(8), repquota(8)

DIAGNOSTICS
Various messages about inaccessible files; self-explanatory.